# FoundationClasses
TKernel
TColStd

# TColStd_Array2OfInteger Class Reference

`#include <TColStd_Array2OfInteger.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColStd_Array2OfInteger (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | TColStd_Array2OfInteger (const Standard_Integer &Item, const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT void | Init (const Standard_Integer &V)
Standard_EXPORT void | Destroy ()
| ~TColStd_Array2OfInteger ()
Standard_EXPORT const TColStd_Array2OfInteger & | Assign (const TColStd_Array2OfInteger &Other)
const TColStd_Array2OfInteger & | operator= (const TColStd_Array2OfInteger &Other)
Standard_Integer | ColLength () const
Standard_Integer | RowLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const Standard_Integer &Value)
const Standard_Integer & | Value (const Standard_Integer Row, const Standard_Integer Col) const
const Standard_Integer & | operator() (const Standard_Integer Row, const Standard_Integer Col) const
Standard_Integer & | ChangeValue (const Standard_Integer Row, const Standard_Integer Col)
Standard_Integer & | operator() (const Standard_Integer Row, const Standard_Integer Col)

## Private Member Functions

Standard_EXPORT | TColStd_Array2OfInteger (const TColStd_Array2OfInteger &AnArray)
Standard_EXPORT void | Allocate ()

## Private Attributes

Standard_Integer | myLowerRow
Standard_Integer | myLowerColumn
Standard_Integer | myUpperRow
Standard_Integer | myUpperColumn
Standard_Boolean | myDeletable
Standard_Address | myData

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_Array2OfInteger::TColStd_Array2OfInteger | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT TColStd_Array2OfInteger::TColStd_Array2OfInteger | ( | const Standard_Integer & | Item,
|  | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

TColStd_Array2OfInteger::~TColStd_Array2OfInteger | ( |  | ) | `[inline]`

Standard_EXPORT TColStd_Array2OfInteger::TColStd_Array2OfInteger | ( | const TColStd_Array2OfInteger & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void TColStd_Array2OfInteger::Allocate | ( |  | ) | `[private]`

Standard_EXPORT const TColStd_Array2OfInteger& TColStd_Array2OfInteger::Assign | ( | const TColStd_Array2OfInteger & | Other | ) |

Standard_Integer& TColStd_Array2OfInteger::ChangeValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |

Standard_Integer TColStd_Array2OfInteger::ColLength | ( |  | ) | const

Standard_EXPORT void TColStd_Array2OfInteger::Destroy | ( |  | ) |

Standard_EXPORT void TColStd_Array2OfInteger::Init | ( | const Standard_Integer & | V | ) |

Standard_Integer TColStd_Array2OfInteger::LowerCol | ( |  | ) | const

Standard_Integer TColStd_Array2OfInteger::LowerRow | ( |  | ) | const

void TColStd_Array2OfInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TColStd_Array2OfInteger::operator new | ( | size_t | size | ) | `[inline]`

void* TColStd_Array2OfInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_Integer& TColStd_Array2OfInteger::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | `[inline]`

const Standard_Integer& TColStd_Array2OfInteger::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const`[inline]`

const TColStd_Array2OfInteger& TColStd_Array2OfInteger::operator= | ( | const TColStd_Array2OfInteger & | Other | ) | `[inline]`

Standard_Integer TColStd_Array2OfInteger::RowLength | ( |  | ) | const

void TColStd_Array2OfInteger::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Standard_Integer & | Value
| ) |

Standard_Integer TColStd_Array2OfInteger::UpperCol | ( |  | ) | const

Standard_Integer TColStd_Array2OfInteger::UpperRow | ( |  | ) | const

const Standard_Integer& TColStd_Array2OfInteger::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

Standard_Address TColStd_Array2OfInteger::myData `[private]`

Standard_Boolean TColStd_Array2OfInteger::myDeletable `[private]`

Standard_Integer TColStd_Array2OfInteger::myLowerColumn `[private]`

Standard_Integer TColStd_Array2OfInteger::myLowerRow `[private]`

Standard_Integer TColStd_Array2OfInteger::myUpperColumn `[private]`

Standard_Integer TColStd_Array2OfInteger::myUpperRow `[private]`

The documentation for this class was generated from the following file:

- TColStd_Array2OfInteger.hxx